<template>
  <div class="todo-list-view">
    <div class="side-col"></div>
    <div class="todo-list-col">
      <p class="todo-header default-header">Tasks</p>

      <task-list class="todo-list-content" />
      <task-counter class="todo-counter" />
    </div>
    <div class="side-col"></div>
  </div>
</template>

<script>
import TaskList from "../components/todo/TaskList.vue";
import TaskCounter from "../components/todo/TaskCounter";
export default {
  name: "todo-list-view",
  components: {
    TaskList,
    TaskCounter,
  },
};
</script>

<style lang="sass">
@import "../scss/media_mixin.sass"

.todo-list-view
  grid-template-columns: repeat(3, 1fr)
  display: grid

  .todo-header
    text-align: center
    padding-top: 138px
    @include media_960
      text-align: left
      padding-top: 63px
      padding-left: 34px

  .todo-list-content
    margin-top: 82px
    @include media_960
      margin-top: 48px

  .side-col
    @include media_960
      display: none

  .todo-counter
    top: 142px
    right: 0
    @include media_960
      top: 107px

  .todo-list-col
    min-width: 1070px
    @include media_1090
      min-width: 750px
</style>
